package com.ss.android.ugc.aweme.comment.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.model.UrlModel;
import com.ss.android.ugc.aweme.feed.model.LogPbBean;
import java.io.Serializable;

public final class GifEmoji implements Serializable {
    @c(LIZ = "id")
    public final String id = "";
    @c(LIZ = "image_id")
    public final long imageId;
    public LogPbBean logPb;
    @c(LIZ = "origin")
    public final UrlModel origin;
    @c(LIZ = "stcker_type")
    public final int stickerType;
    @c(LIZ = "thumbnail")
    public final UrlModel thumbnail;

    static {
        Covode.recordClassIndex(57181);
    }

    public final String getId() {
        return this.id;
    }

    public final long getImageId() {
        return this.imageId;
    }

    public final LogPbBean getLogPb() {
        return this.logPb;
    }

    public final UrlModel getOrigin() {
        return this.origin;
    }

    public final int getStickerType() {
        return this.stickerType;
    }

    public final UrlModel getThumbnail() {
        return this.thumbnail;
    }

    public final void setLogPb(LogPbBean logPbBean) {
        this.logPb = logPbBean;
    }
}
